Change log

API Change
Auth API Changes to /register method for terms and conditions
If terms and conditions are required then
  • tncDisplayUrl will be returned along with status as 'pending_tnc'
  • The tncDisplayUrl should be used to display the content to the user
  • The tncDisplayUrl will expire in an hour
  • The POST /legals method should be called with intent = register and status = accept once the user has accepted the terms and conditions
  • The POST /legals method need not be called if the user has rejected the terms and conditions

If terms and conditions are NOT required then
  • Registration process is complete. If successful, the response contains status = 'success' along with token and user reference
Auth API /legals POST added
  • Method to accept or reject legal contracts like terms and conditions
  • It is not required to call the API to reject a contract
  • The response depends on the intent
Auth API Email pin verification added
  • /email/initiateVerification Initiate the verification process for the email
  • /email/completeVerification Complete the process to verify the entered pin
Auth API Mobile pin verification added
  • /mobile/initiateVerification Initiate the verification process for the mobile number
  • /mobile/completeVerification Complete the process to verify the entered pin